module InLineCSS where

import Text.CxML (CssInlineDecl)
import Text.YuiGrid

bigText :: HasLayoutHints a => a -> a
bigText = addCss bigTextRls

bigTextRls :: CssInlineDecl
bigTextRls = ("bigText", [
                            ("clear","left"),
                            ("font-size","2em"),
                            ("font-weight","bolder"),
                            ("margin","0pt 0pt 0pt 40px"),
                            ("padding-left","16px"),
                            ("top","5px")
                           ] )

mediumText :: HasLayoutHints a => a -> a
mediumText = addCss mediumTextRls

mediumTextRls :: CssInlineDecl
mediumTextRls = ("mediumText", [
                            ("clear","left"),
                            ("font-size","1.5em"),
                            ("font-weight","bolder"),
                            ("margin","0pt 0pt 0pt 20px"),
                            ("padding-left","8px"),
                            ("top","5px")
                           ] )
